## org.apache.batik.dom.util
Class SAXIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.batik.dom.util.SAXIOException

All Implemented Interfaces:
  java.io.Serializable

    public class SAXIOException

extends java.io.IOException

Wrapper for SAX Exceptions which would make it possible to include line and column information with SAX parse errors.

See Also:
  Serialized Form

Field Summary
`protected org.xml.sax.SAXException` `saxe`

Constructor Summary
`SAXIOException(org.xml.sax.SAXException saxe)`

Method Summary
`java.lang.Throwable` `getCause()`
`org.xml.sax.SAXException` `getSAXException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### saxe

    protected org.xml.sax.SAXException saxe

Constructor Detail

### SAXIOException

    public SAXIOException(org.xml.sax.SAXException saxe)

Method Detail

### getSAXException

    public org.xml.sax.SAXException getSAXException()

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.